//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class Pages
    {
        public Pages()
        {
            this.Actions = new HashSet<Actions>();
            this.RolPageAction = new HashSet<RolPageAction>();
            this.UserPageAction = new HashSet<UserPageAction>();
            this.CRPageMaps = new HashSet<CRPageMaps>();
        }
    
        public int IdPage { get; set; }
        public int IdAreaKeys { get; set; }
        public string Description { get; set; }
        public bool Active { get; set; }
        public string KeyAdd { get; set; }
        public string Controller { get; set; }
        public string Action { get; set; }
        public string KeyResource { get; set; }
        public string InternalKey { get; set; }
        public bool CR { get; set; }
    
        public virtual AreaKeys AreaKeys { get; set; }
        public virtual ICollection<Actions> Actions { get; set; }
        public virtual ICollection<RolPageAction> RolPageAction { get; set; }
        public virtual ICollection<UserPageAction> UserPageAction { get; set; }
        public virtual ICollection<CRPageMaps> CRPageMaps { get; set; }
    }
}
